return {
  "petrichorma/nvim_ds_repl",
  requires = "nvim-treesitter",
  config = function()
    vim.api.nvim_create_autocmd({ "BufEnter", "BufWinEnter" }, {
      pattern = { "*.py", "*.R" },
      callback = function()
        -- Execute the current statement or block under the cursor
        vim.keymap.set("n", '<CR>', function()
          require('nvim_ds_repl').send_statement_definition()
        end, { noremap = true })

        -- Execute the selected visual block of code
        vim.keymap.set("v", '<CR>', function()
          require('nvim_ds_repl').send_visual_to_repl()
        end, { noremap = true })

        -- Query global environment variable information
        vim.keymap.set("n", '<leader>wi', function()
          require('nvim_ds_repl').query_global()
        end, { noremap = true })

        -- Query information about the specific object under the cursor
        vim.keymap.set("n", '<leader>si', function()
          require('nvim_ds_repl').inspect()
        end, { noremap = true })
      end
    })
  end,
  enabled = false
}
